Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.service.session
Interface Authenticatable

public interface Authenticatable
extends java.rmi.Remote

Provides an interface for all objects returned by the SessionManager that can be authenticated. All such objects are of type Authenticatable.

Field Summary
`static java.lang.String` | `IS_AUTHENTICATED_ATTR_ID` Attribute id describing the state of a Session.
`static java.lang.String` | `USER_NAME_ATTR_ID` Attribute id describing the user name of an Authenticatable Session.

Method Summary
`void` | `authenticate()` Deprecated. Use com.novell.java.security and related packages. Authenticate the object by using it's parent's credentials, if any.
`void` | `authenticate(java.lang.String name)` Deprecated. Use com.novell.java.security and related packages. Authenticate the object by name.
`Identity` | `createIdentity(java.lang.String userName)` Creates and returns an Identity based on this Session.
`java.lang.String` | `getName()` Deprecated. Use com.novell.java.security and related packages. Returns the name used to authenticate this object, or null if not authenticated.
`boolean` | `isAuthenticated()` Returns TRUE if the object is authenticated.
`void` | `unauthenticate()` Deprecated. Use com.novell.java.security and related packages. Unauthenticate the object.

Field Detail

### IS_AUTHENTICATED_ATTR_ID

    public static final java.lang.String IS_AUTHENTICATED_ATTR_ID

  Attribute id describing the state of a Session. The associated value is a Boolean.

  (IS_AUTHENTICATED_ATTR_ID = "IS_AUTHENTICATED_STATE")

  See Also:
    `SessionAttr`, `Session.getAttributes()`

### USER_NAME_ATTR_ID

    public static final java.lang.String USER_NAME_ATTR_ID

  Attribute id describing the user name of an Authenticatable Session. The associated value is a String.

  (USER_NAME_ATTR_ID = "USER_NAME")

  See Also:
    `SessionAttr`, `Session.getAttributes()`

Method Detail

### getName

    public java.lang.String getName()
                             throws SessionException,
                                    java.rmi.RemoteException

  Deprecated. Use com.novell.java.security and related packages. Returns the name used to authenticate this object, or null if not authenticated.
  Throws:
    SessionException - Or a subclass thereof.
  See Also:
    `Authenticator.getIdentities()`

### authenticate

    public void authenticate(java.lang.String name)
                      throws SessionException,
                             java.rmi.RemoteException

  Deprecated. Use com.novell.java.security and related packages. Authenticate the object by name.
  Throws:
    SessionException - Or a subclass thereof.
  See Also:
    `Authenticator.login(com.novell.java.security.Identity)`

### authenticate

    public void authenticate()
                      throws SessionException,
                             java.rmi.RemoteException

  Deprecated. Use com.novell.java.security and related packages. Authenticate the object by using it's parent's credentials, if any.
  Throws:
    SessionException - Or a subclass thereof.
  See Also:
    `Authenticator.login(com.novell.java.security.Identity)`

### unauthenticate

    public void unauthenticate()
                        throws SessionException,
                               java.rmi.RemoteException

  Deprecated. Use com.novell.java.security and related packages. Unauthenticate the object.
  Throws:
    SessionException - Or a subclass thereof.
  See Also:
    `Authenticator.logout(com.novell.java.security.Identity)`

### isAuthenticated

    public boolean isAuthenticated()
                            throws SessionException,
                                   java.rmi.RemoteException

  Returns TRUE if the object is authenticated.
  Returns:
    A boolean set to TRUE if the object is authenticated, otherwise set to FALSE.
  Throws:
    SessionException - Thrown by Session objects. A subclass of of SessionException might be thrown instead.

### createIdentity

    public Identity createIdentity(java.lang.String userName)
                            throws SessionException,
                                   java.rmi.RemoteException

  Creates and returns an Identity based on this Session.
  Returns:
    Identity The identity based on this Session.
  Throws:
    SessionException - Thrown by Session objects. A subclass of of SessionException might be thrown instead.
  See Also:
    com.novell.java.security

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD